/**
 * 
 */
package jp.mosp.payroll.human.action;

import jp.mosp.common.CommonConst;

/**
 * @author koike
 *
 */
public class HumanKihonCardAction extends jp.mosp.human.action.HumanKihonCardAction {
	
	/**
	 * 
	 */
	public HumanKihonCardAction() {
		// TODO 自動生成されたコンストラクター・スタブ
		super();
	}
	
	/* (非 Javadoc)
	 * @see jp.mosp.kintai.common.action.MosPHumanAction#getFunctionArray(boolean)
	 */
	@Override
	protected String[][] getFunctionArray(boolean isNewData) {
		String[][] aryFunction = null;
		if (isNewData) {
			aryFunction = new String[][]{ { "btnNewData", HumanKihonCardAction.CMD_HUMAN_BASIS_SHOW,
				CommonConst.NAM_MAKE_NEW_DATA }, };
		} else {
			aryFunction = new String[][]{
				{ "btnBasic", HumanKihonCardAction.CMD_HUMAN_BASIS_SELECT, CommonConst.NAM_EDIT_HUMAN_BASIC },
				{ "btnKojin", HumanPersonalCardAction.CMD_HUMAN_PERSONAL_SELECT, CommonConst.NAM_EDIT_HUMAN_KOJIN },
				{ "btnCalc", "U4150", "給与情報編集" }, };
		}
		return aryFunction;
	}
	
}
